#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-ha repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name ha
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-ha
AutoReqProv:    off
Version:        15.6.0
Release:        150600.1.2
Summary:        Server HA role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       installer_module_extension() = system-role-ha

%description
Meta package for Server HA role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Fri Mar  3 2023 lslezak@suse.cz
- Bump version to 15.6.0 (bsc#1208913)
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 15.5.0 (bsc#1198109)
* Mon Nov 15 2021 jlopez@suse.com
- Remove partitioning section. That setting were useless because
  they were expressed in the old format used before SLE-15
  (bsc#1192694).
- 15.4.1
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Wed Nov  7 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Tue Mar 13 2018 aginies@suse.com
- FATE#324757:
  - install the patterns enhanced_base
  - firewall: the ssh port should be open
- version 15.0.5
* Thu Mar  1 2018 aginies@suse.com
- enable_firewall should be true
- fix duplicate entries (remove 2x tag)
- fix HA GEO node
- Add ha_sles pattern installation in HA GEO node system role
- BSC#1083449
- version 15.0.4
- change order number to get this on top of system role layout
* Wed Feb 28 2018 aginies@suse.com
- first release for HA system role
- FATE#324757: system-role for HA and GEO cluster
- version 15.0.2
